"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExtensions = exports.getSchemaDirective = exports.getFieldDef = void 0;
function getFieldDef(info) {
    var parentTypeFields = info.parentType.getFields();
    return parentTypeFields[info.fieldName];
}
exports.getFieldDef = getFieldDef;
function getSchemaDirective(info, directiveName) {
    return info.schema.getDirective(directiveName);
}
exports.getSchemaDirective = getSchemaDirective;
/**
 * Get apollo 3 response extensions
 * @param requestContext
 * @returns
 */
function getExtensions(requestContext) {
    // apollo 3
    if (!requestContext.response.extensions) {
        requestContext.response.extensions = {};
    }
    return requestContext.response.extensions;
}
exports.getExtensions = getExtensions;
